Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.batik.bridge
Class EmbededScriptSecurity

    java.lang.Object
      org.apache.batik.bridge.EmbededScriptSecurity

All Implemented Interfaces:
  ScriptSecurity

    public class EmbededScriptSecurity

extends Object
implements ScriptSecurity

This implementation of the `ScriptSecurity` interface only allows scripts embeded in the document, i.e., scripts whith either the same URL as the document (as for event attributes) or scripts embeded with the data protocol.

Field Summary
`static String` | `DATA_PROTOCOL`
`static String` | `ERROR_CANNOT_ACCESS_DOCUMENT_URL` Message when trying to load a script file and the Document does not have a URL
`static String` | `ERROR_SCRIPT_NOT_EMBEDED` Message when trying to load a script that is not embeded in the document.
`protected SecurityException` | `se` The exception is built in the constructor and thrown if not null and the checkLoadScript method is called.

Constructor Summary
`EmbededScriptSecurity(String scriptType, ParsedURL scriptURL, ParsedURL docURL)`

Method Summary
`void` | `checkLoadScript()` Controls whether the script should be loaded or not.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DATA_PROTOCOL

    public static final String DATA_PROTOCOL

See Also:
  Constant Field Values

### ERROR_CANNOT_ACCESS_DOCUMENT_URL

    public static final String ERROR_CANNOT_ACCESS_DOCUMENT_URL

  Message when trying to load a script file and the Document does not have a URL

  See Also:
    Constant Field Values

### ERROR_SCRIPT_NOT_EMBEDED

    public static final String ERROR_SCRIPT_NOT_EMBEDED

  Message when trying to load a script that is not embeded in the document.

  See Also:
    Constant Field Values

### se

    protected SecurityException se

  The exception is built in the constructor and thrown if not null and the checkLoadScript method is called.

Constructor Detail

### EmbededScriptSecurity

    public EmbededScriptSecurity(String scriptType,
                                 ParsedURL scriptURL,
                                 ParsedURL docURL)

Parameters:
  `scriptType` - type of script, as found in the type attribute of the <script> element.
  `scriptURL` - url for the script, as defined in the script's xlink:href attribute. If that attribute was empty, then this parameter should be null
  `docURL` - url for the document into which the script was found.

Method Detail

### checkLoadScript

    public void checkLoadScript()

  Controls whether the script should be loaded or not.

  Specified by:
    `checkLoadScript` in interface `ScriptSecurity`
  Throws:
    `SecurityException` - if the script should not be loaded.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Apache Software Foundation. All Rights Reserved.